import javax.swing.*;
import java.io.*;
import java.net.*;
import java.util.*;

public class Plugin extends com.dMSN.Plugin.AbstractPluginInstance
{
	public boolean started = false;

	public void startPlugin()
	{
		started = true;
	}

	public void stopPlugin()
	{
		started = false;
	}

	public boolean[] getEnabledButtons()
	{
		return new boolean[]
		{
			!started, 		  // start button
			started, 		  // stop button
			false, 		  // info button
			false		  // settings button
		};
	}

	public String getPluginName()
	{
		return "ConvoStats";
	}

	public String getPluginStatus()
	{
		return READY;
	}

    public String getPluginAuthor()
    {
        return "Danny";
    }

	public String getResultForCommand(String command, String talkingContact, String fromAccount)
	{
		if(command.equalsIgnoreCase("/stats"))
		{
			return "Stats:\nMessages send: " + getStats(fromAccount).messagesSend + "\nMessages received: " + getStats(fromAccount).messagesReceived;
		}
		return null;
	}

	public void eventFired(String userAccount, String contactID, int event)
	{
		if(event == 14) // me send message to him/her
		{
			getStats(userAccount).messagesSend++;
		}

		if(event == 15) // me received message from him/her
		{
			getStats(userAccount).messagesReceived++;
		}

		settings.setProperty("bla", "bla");
	}

	private HashMap stats = new HashMap();

	private Stats getStats(String account)
	{
		if(stats.containsKey(account) == false)
		{
			stats.put(account, new Stats());
		}

		return (Stats) stats.get(account);

	}
}


class Stats
{
	public int messagesSend = 0;

	public int messagesReceived = 0;
}