import com.dMSN.Plugin.AbstractPluginInstance;

import javax.swing.*;
import java.io.*;
import java.awt.event.ActionEvent;

public class Plugin extends AbstractPluginInstance
{
	private String cpuInfo;

	private File file;

	public void startPlugin()
	{
		try
		{
			if(file == null)
				file = new File("/proc/cpuinfo");

			if(file.isFile() == false)
			{
				cpuInfo = "CpuInfo file not found";
			}
			else
			{
				BufferedReader br = new BufferedReader(new FileReader(file));
				String line = null;

				while ((line = br.readLine()) != null)
				{
					if(line.startsWith("model name"))
					{
						cpuInfo = line.substring(line.indexOf(":")+1).trim();
					}
				}

				br.close();
			}
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}

	public void stopPlugin()
	{
		cpuInfo = null;
	}

	public boolean[] getEnabledButtons()
	{
		boolean started = cpuInfo != null;

		return new boolean[]
		{
			!started, 	  // start button
			started, 	  // stop button
			false, 		  // info button
			false		  // settings button
		};
	}

	public String getPluginStatus()
	{
		if(file == null)
			return READY;
		else if(cpuInfo == null)
			return STOPPED;
		else
			return STARTED;
	}

    public String getPluginAuthor()
    {
        return "Danny";
    }

	public String getPluginName()
	{
		return "Linux CPU NameChanger";
	}

	public void showInfo(ActionEvent e)
	{
		JOptionPane.showMessageDialog(null, "This plugin will change %cpumodel in your name into your cpu model name.\nDanny");
	}

    public String getValueForNameCode(String nameCode)
    {
		if(cpuInfo == null)
			return null;

        final String code = "%cpumodel";

        while(nameCode.indexOf(code) != -1)
        {
            nameCode = nameCode.substring(0, nameCode.indexOf(code)) + cpuInfo + nameCode.substring(nameCode.indexOf(code) + code.length());
        }

        return nameCode;
    }
}