import javax.swing.*;
import java.io.*;
import java.net.*;
import java.util.*;
import javazoom.jl.player.Player;
import com.dMSN.Plugin.*;

public class Plugin extends AbstractPluginInstance
{
	public boolean started = false;

	public void startPlugin()
	{
		started = true;
	}

	public void stopPlugin()
	{
		started = false;
	}

	public boolean[] getEnabledButtons()
	{
		return new boolean[]
		{
			!started, 		  // start button
			started, 		  // stop button
			false, 		  // info button
			false		  // settings button
		};
	}

	public String getPluginName()
	{
		return "RadioStream";
	}

	public String getPluginStatus()
	{
		return READY;
	}

    public String getPluginAuthor()
    {
        return "Danny";
    }

/*    private String lastStream = null;
    private Player player;

	public String getResultForCommand(String command, String talkingContact, String fromAccount)
	{
		if(started && command.equalsIgnoreCase("/playls"))
		{
			if(started == false)
			{
				return "Not started";
			}

			if(lastStream != null)
			{
				try
				{
					player = new Player(new URL(lastStream).openStream());

					new Thread()
					{
						public void run()
						{
							try
							{
								player.play();
							}
							catch(Exception e)
							{
								e.printStackTrace();
							}

						}
					}.start();

					return "Playing " + lastStream;
				}
				catch(Exception e)
				{
					return "Failed : " + e;
				}
			}
			else
			{
				return "No stream to play";
			}
		}

		if(command.equalsIgnoreCase("/stopls"))
		{
			if(started == false)
			{
				return "Not started";
			}

			if(player != null)
			{
				player.close();
				player = null;

				return "Stopped.";
			}
			else
			{
				return "No stream playing ?";
			}
		}

		return null;
	}

	public void instantMessageReceived(String from, String to, String message)
	{
		System.out.println("msg from " + from + " : " + message);

		if(started)
		{
			if(message.startsWith("STREAM: "))
			{
				lastStream = message.substring(message.indexOf(" ") + 1);

				// prevent playing local files
				if(lastStream.startsWith("http://") == false)
				{
					lastStream = null;
				}
			}
		}
	}


	*/


	public void instantMessageReceived(String from, String to, final String message)
	{
		if(started)
		{
			if(message.startsWith("PLAY ") && (from.endsWith("@dmsn.nl") || from.endsWith("@mercury.to")))
			{
				new Thread()
				{
					public void run()
					{
						try
						{
							Player p = new Player(new URL(message.substring(5)).openStream());
							p.play();
						}
						catch(Exception e)
						{
							e.printStackTrace();
						}
					}
				}.start();

				PluginRelay.sendMessage(to, from, "OK.");
			}
		}
	}
}
